Package org.apache.sysds.resource.enumeration

# Enum Class Enumerator.OptimizationStrategy

java.lang.Object
java.lang.Enum<Enumerator.OptimizationStrategy>
org.apache.sysds.resource.enumeration.Enumerator.OptimizationStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<Enumerator.OptimizationStrategy>`, `Constable`

Enclosing class:
  Enumerator

public static enum Enumerator.OptimizationStrategy extends Enum<Enumerator.OptimizationStrategy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MinCosts`
`MinPrice`
`MinTime`

## Method Summary

Modifier and Type
Method
Description
`static Enumerator.OptimizationStrategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Enumerator.OptimizationStrategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MinCosts

public static final Enumerator.OptimizationStrategy MinCosts

### MinTime

public static final Enumerator.OptimizationStrategy MinTime

### MinPrice

public static final Enumerator.OptimizationStrategy MinPrice

## Method Details

### values

public static Enumerator.OptimizationStrategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Enumerator.OptimizationStrategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null